Skip to main content
POST
/
api
/
2.0
/
bills
Create Bill
curl --request POST \
  --url https://sandbox.elationemr.com/api/2.0/bills/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cpts": [
    {
      "cpt": "<string>",
      "dxs": [
        {
          "icd10_code": "<string>",
          "icd9_codes": [
            "<string>"
          ]
        }
      ],
      "unit_charge": "<string>",
      "units": "<string>",
      "modifier_1": "<string>",
      "modifier_2": "<string>",
      "modifier_3": "<string>",
      "modifier_4": "<string>",
      "ndc": "<string>",
      "ndc_dose": "<string>"
    }
  ],
  "patient": 123,
  "physician": 123,
  "practice": 123,
  "service_location": 123,
  "visit_note": 123,
  "billing_provider": 123,
  "notes": "",
  "payment": 123,
  "payment_amount": "0.00",
  "prior_authorization": "<string>",
  "rendering_provider": 123,
  "show_dual_coding": false,
  "supervising_provider": 123
}
'
{
  "cpts": [
    {
      "cpt": "<string>",
      "dxs": [
        {
          "icd10_code": "<string>",
          "icd9_codes": [
            "<string>"
          ]
        }
      ],
      "unit_charge": "<string>",
      "units": "<string>",
      "modifier_1": "<string>",
      "modifier_2": "<string>",
      "modifier_3": "<string>",
      "modifier_4": "<string>",
      "ndc": "<string>",
      "ndc_dose": "<string>"
    }
  ],
  "patient": 123,
  "physician": 123,
  "practice": 123,
  "service_location": 123,
  "visit_note": 123,
  "billing_provider": 123,
  "id": 123,
  "notes": "",
  "ordering_provider": {
    "name": "<string>",
    "state": "<string>",
    "npi": "<string>"
  },
  "payment": 123,
  "payment_amount": "0.00",
  "prior_authorization": "<string>",
  "referring_provider": {
    "name": "<string>",
    "state": "<string>",
    "npi": "<string>"
  },
  "rendering_provider": 123,
  "show_dual_coding": false,
  "supervising_provider": 123
}

Documentation Index

Fetch the complete documentation index at: https://help.elationhealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
cpts
object[]
required
patient
integer<int64>
required
physician
integer<int64>
required
practice
integer<int64>
required
service_location
integer<int64>
required

The id of the service location the bill is associated with.

visit_note
integer<int64>
required
billing_provider
integer<int64> | null
notes
string
default:""

Additional billing notes.

Maximum string length: 1000
ordering_provider
object

The id of the provider who orders non-physician services for the patient.

payment
integer<int64>
payment_amount
string<decimal> | null
default:0.00

Dollar amount of the patient payment.

Pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
prior_authorization
string | null
Maximum string length: 50
referring_provider
object
rendering_provider
integer<int64> | null
show_dual_coding
boolean | null
default:false
supervising_provider
integer<int64> | null

The id of the provider who has undertaken primary responsibility for the patient's health.

Response

201 - application/json
cpts
object[]
required
patient
integer<int64>
required
physician
integer<int64>
required
practice
integer<int64>
required
service_location
integer<int64>
required

The id of the service location the bill is associated with.

visit_note
integer<int64>
required
billing_provider
integer<int64> | null
id
integer
read-only
notes
string
default:""

Additional billing notes.

Maximum string length: 1000
ordering_provider
object

The id of the provider who orders non-physician services for the patient.

payment
integer<int64>
payment_amount
string<decimal> | null
default:0.00

Dollar amount of the patient payment.

Pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
prior_authorization
string | null
Maximum string length: 50
referring_provider
object
rendering_provider
integer<int64> | null
show_dual_coding
boolean | null
default:false
supervising_provider
integer<int64> | null

The id of the provider who has undertaken primary responsibility for the patient's health.